Skip to content

Instantly share code, notes, and snippets.

@chuckremes chuckremes/bt.txt
Created Feb 3, 2018

Embed
What would you like to do?
main # Rubinius::Loader at core/loader.rb:852 (+90)
script # Rubinius::Loader at core/loader.rb:667 (+343)
load_script # Rubinius::CodeLoader at core/code_loader.rb:280 (+60)
load # Rubinius::CodeLoader::Source(Rubinius::CodeLoader::Script) at core/code_loader.rb:119 (+81)
run_script # Rubinius::CodeLoader::Source(Rubinius::CodeLoader::Script) at core/code_loader.rb:132 (+21)
__script__ # Object at echo_tcp.rb:2 (+31)
require # Kernel(Object) at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems/core_ext/kernel_require.rb:59 (+176)
gem_original_require (require) # Kernel(Object) at core/kernel.rb:865 (+39)
require # Rubinius::CodeLoader at core/code_loader.rb:294 (+73)
load # Rubinius::CodeLoader::Feature at core/code_loader.rb:159 (+21)
load # Rubinius::CodeLoader::Source(Rubinius::CodeLoader::Feature) at core/code_loader.rb:119 (+81)
run_script # Rubinius::CodeLoader::Source(Rubinius::CodeLoader::Feature) at core/code_loader.rb:132 (+21)
__script__ # Object at /Users/cremes/dev/mygit/ruby-io/lib/io.rb:59 (+346)
require_relative # Kernel(Object) at core/kernel.rb:871 (+56)
require_relative # Rubinius::CodeLoader at core/code_loader.rb:319 (+81)
require # Rubinius::CodeLoader at core/code_loader.rb:294 (+73)
load # Rubinius::CodeLoader::Feature at core/code_loader.rb:159 (+21)
load # Rubinius::CodeLoader::Source(Rubinius::CodeLoader::Feature) at core/code_loader.rb:119 (+81)
run_script # Rubinius::CodeLoader::Source(Rubinius::CodeLoader::Feature) at core/code_loader.rb:132 (+21)
__script__ # Object at /Users/cremes/dev/mygit/ruby-io/lib/io/async/private/private.rb:8 (+99)
require_relative # Kernel(Object) at core/kernel.rb:871 (+56)
require_relative # Rubinius::CodeLoader at core/code_loader.rb:319 (+81)
require # Rubinius::CodeLoader at core/code_loader.rb:294 (+73)
load # Rubinius::CodeLoader::Feature at core/code_loader.rb:159 (+21)
load # Rubinius::CodeLoader::Source(Rubinius::CodeLoader::Feature) at core/code_loader.rb:119 (+81)
run_script # Rubinius::CodeLoader::Source(Rubinius::CodeLoader::Feature) at core/code_loader.rb:132 (+21)
__script__ # Object at /Users/cremes/dev/mygit/ruby-io/lib/io/async/private/io_loop.rb:1 (+18)
{ } in __script__ # Object(Class) at /Users/cremes/dev/mygit/ruby-io/lib/io/async/private/io_loop.rb:2 (+19)
{ } in __script__ # Object(Module) at /Users/cremes/dev/mygit/ruby-io/lib/io/async/private/io_loop.rb:3 (+19)
{ } in __script__ # Object(Module) at /Users/cremes/dev/mygit/ruby-io/lib/io/async/private/io_loop.rb:6 (+20)
{ } in __script__ # Object(Class) at /Users/cremes/dev/mygit/ruby-io/lib/io/async/private/io_loop.rb:201 (+317)
current . IO::Async::Private::IOLoop at /Users/cremes/dev/mygit/ruby-io/lib/io/async/private/io_loop.rb:11 (+88)
initialize # IO::Async::Private::IOLoop at /Users/cremes/dev/mygit/ruby-io/lib/io/async/private/io_loop.rb:20 (+282)
initialize # IO::Platforms::KqueuePoller(IO::Platforms::Poller) at /Users/cremes/dev/mygit/ruby-io/lib/io/platforms/bsd/poller.rb:30 (+301)
initialize # IO::Platforms::Common::Timers at /Users/cremes/dev/mygit/ruby-io/lib/io/platforms/common/timers.rb:32 (+18)
initialize # SortedSet at /Users/cremes/dev/mygit/rubinius/codedb/source/rubysl/set/set.rb:614 (+11)
setup . SortedSet at /Users/cremes/dev/mygit/rubinius/codedb/source/rubysl/set/set.rb:531 (+43)
require # Kernel(Class) at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems/core_ext/kernel_require.rb:128 (+631)
try_activate . Gem at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems.rb:213 (+11)
find_by_path . Gem::Specification at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems/specification.rb:1058 (+43)
find # Enumerable(Array) at core/enumerable.rb:540 (+35)
each # Array at core/array.rb:72 (+71)
{ } in find # Enumerable(Array) at core/enumerable.rb:542 (+9)
{ } in find_by_path . Gem::Specification at rubygems/specification.rb:1059 (+11)
compatible? . Gem::BundlerVersionFinder at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems/bundler_version_finder.rb:46 (+31)
bundler_version . Gem::BundlerVersionFinder at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems/bundler_version_finder.rb:12 (+1)
bundler_version_with_reason . Gem::BundlerVersionFinder at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems/bundler_version_finder.rb:29 (+87)
lockfile_version . Gem::BundlerVersionFinder at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems/bundler_version_finder.rb:81 (+1)
lockfile_contents . Gem::BundlerVersionFinder at /Users/cremes/dev/mygit/rubinius/codedb/source/rubygems/bundler_version_finder.rb:109 (+155)
method 'initialize': given 3, expected 1 (ArgumentError)
An exception occurred running echo_tcp.rb
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.